<?php
/**
 * ------------------------ 
 *  版权所有  www.tecmz.com
 *  商业版本请购买正版授权使用
 * ------------------------
*/ namespace ModStart\Form; use Closure; use Illuminate\Contracts\Support\Renderable; use Illuminate\Database\Eloquent\Model; use Illuminate\Support\Collection; use Illuminate\Support\Facades\Input; use Illuminate\Validation\Validator; use ModStart\Core\Dao\DynamicModel; use ModStart\Core\Exception\BizException; use ModStart\Core\Exception\ResultException; use ModStart\Core\Input\InputPackage; use ModStart\Core\Input\Response; use ModStart\Core\Type\SortDirection; use ModStart\Core\Util\CRUDUtil; use ModStart\Core\Util\IdUtil; use ModStart\Field\AbstractField; use ModStart\Field\AutoRenderedFieldValue; use ModStart\Field\Display; use ModStart\Field\Select; use ModStart\Field\Type\FieldRenderMode; use ModStart\Form\Concern\HasCascadeFields; use ModStart\Form\Type\FormEngine; use ModStart\Form\Type\FormMode; use ModStart\Grid\Concerns\HasSort; use ModStart\Repository\Filter\HasRepositoryFilter; use ModStart\Repository\Filter\HasScopeFilter; use ModStart\Repository\Repository; use ModStart\Support\Concern\HasBuilder; use ModStart\Support\Concern\HasFields; use ModStart\Support\Concern\HasFluentAttribute; use ModStart\Support\Manager\FieldManager; use stdClass; class Form implements Renderable { use HasFields, HasBuilder, HasFluentAttribute, HasSort, HasCascadeFields, HasScopeFilter, HasRepositoryFilter; public $id; private $repository; private $view = 'modstart::core.form.index'; protected $fluentAttributes = array('engine', 'builder', 'mode', 'title', 'showSubmit', 'showReset', 'itemId', 'item', 'hookSubmitted', 'hookSaving', 'hookSaved', 'hookDeleting', 'hookDeleted', 'hookChanged', 'dataSubmitted', 'dataForming', 'dataAdding', 'dataEditing', 'canAdd', 'canEdit', 'canDelete', 'canSort', 'canCopy', 'formClass', 'treeMaxLevel', 'treeRootPid', 'formUrl', 'ajax', 'formAttr'); private $engine = 'basic'; private $mode = 'form'; private $title; private $showSubmit = true; private $showReset = true; private $itemId = null; private $item; private $hookSubmitted; private $hookSaving; private $hookSaved; private $hookDeleting; private $hookDeleted; private $hookChanged; private $dataSubmitted; private $dataForming; private $dataAdding; private $dataEditing; private $canAdd = true; private $canEdit = true; private $canDelete = true; private $canSort = false; private $canCopy = false; private $formClass = ''; private $treeMaxLevel = 99; private $treeRootPid = 0; private $formUrl = null; private $ajax = true; private $formAttr = ''; public function __construct($LMWXj, \Closure $pQMBc = null) { goto d1L0e; VXIYZ: $this->fieldDefaultRenderMode(FieldRenderMode::FORM); goto zLYvB; K_H9p: $this->builder($pQMBc); goto jpBsz; d1L0e: $this->id = IdUtil::generate('Grid'); goto L3GXz; t118D: $this->setupFields(); goto VXIYZ; zLYvB: $this->setupRepositoryFilter(); goto K_H9p; L3GXz: $this->repository = Repository::instance($LMWXj); goto t118D; jpBsz: } public static function make($ngCZA = null, \Closure $pQMBc = null) { if (is_object($ngCZA) || class_exists($ngCZA) && is_subclass_of($ngCZA, Model::class)) { return new Form($ngCZA, $pQMBc); } return new Form(DynamicModel::make($ngCZA), $pQMBc); } public function asTree($b3GLM = 'id', $DUw1b = 'pid', $GEQKF = 'sort', $wFZVX = 'title') { goto WE1Bi; rT67I: $this->canSort(true); goto hvGaH; hvGaH: return $this; goto NX2nQ; jPrBg: $this->engine = FormEngine::TREE; goto rT67I; s1Us6: $this->repository->setTreePidColumn($DUw1b); goto Ex304; Ex304: $this->repository->setSortColumn($GEQKF); goto F7SXq; WE1Bi: $this->repository->setKeyName($b3GLM); goto s1Us6; F7SXq: $this->repository->setTreeTitleColumn($wFZVX); goto jPrBg; NX2nQ: } public function asTreeMass($Ldhk9 = 0, $b3GLM = 'id', $DUw1b = 'pid', $GEQKF = 'sort', $wFZVX = 'title') { goto OUmIA; ePUtf: $this->repository->setTreeTitleColumn($wFZVX); goto ai02E; OUmIA: $this->repository->setKeyName($b3GLM); goto SQh8c; SQh8c: $this->repository->setTreePidColumn($DUw1b); goto kSwyS; ZS7ZM: return $this; goto wfhal; ai02E: $this->engine = FormEngine::TREE_MASS; goto Z_wj8; kSwyS: $this->repository->setSortColumn($GEQKF); goto ePUtf; Z_wj8: $this->canSort(true); goto ZS7ZM; wfhal: } private function build() { $this->runBuilder(); if ($this->engine == FormEngine::TREE) { if ($this->treeMaxLevel > 1) { $WSFfm = FieldManager::make($this, 'select', $this->repository->getTreePidColumn(), L('Parent')); $WSFfm->optionRepositoryTreeItems($this->repository, $this->treeMaxLevel); } else { $WSFfm = FieldManager::make($this, 'hidden', $this->repository->getTreePidColumn(), L('Parent')); $WSFfm->value(0); } $this->prependField($WSFfm); } else { if ($this->engine == FormEngine::TREE_MASS) { goto BL5nI; aFckB: $WSFfm->addable(true)->editable(true)->listable(false); goto zsLuG; zsLuG: $WSFfm->hookRendering(function (AbstractField $WSFfm, $mGrPa, $LHCKf) { if (empty($mGrPa)) { $BFAln = InputPackage::buildFromInput()->get('_pid', $this->treeRootPid); } else { $BFAln = $mGrPa->{$this->repository->getTreePidColumn()}; } $this->repository()->setArgument('treePid', $BFAln); $jxL3b = $this->repository->getTreeAncestorItems(); $odn1t = array(); $odn1t[] = '<span class="ub-text-muted"><i class="icon iconfont icon-angle-right"></i></span> ' . L('Root'); foreach ($jxL3b as $vpLTW) { $odn1t[] = '<span class="ub-text-muted"><i class="icon iconfont icon-angle-right"></i></span> ' . htmlspecialchars($vpLTW->{$this->repository->getTreeTitleColumn()}); } $odn1t[] = '<input type="hidden" name="' . $this->repository->getTreePidColumn() . '" value="' . htmlspecialchars($BFAln) . '" />'; return AutoRenderedFieldValue::make(join('', $odn1t)); }); goto MDkfO; BL5nI: $WSFfm = FieldManager::make($this, 'display', $this->repository->getTreePidColumn(), L('Parent')); goto aFckB; MDkfO: $this->prependField($WSFfm); goto XR17G; XR17G: } } } public function repository() { return $this->repository; } private function fieldValidateMessages($IDamp, $NgmHQ) { goto kpZlY; Bp6ne: return $aFxal; goto pq5fk; kpZlY: $rw3HY = array(); goto DzV89; kdwI5: $aFxal = array(); goto NDLuu; NDLuu: foreach ($rw3HY as $P1vwe) { foreach ($P1vwe->messages()->getMessages() as $AQOdu => $JhhKA) { $aFxal[$AQOdu] = $JhhKA; } } goto uetF_; DzV89: foreach ($IDamp as $WSFfm) { if (!($P1vwe = $WSFfm->getValidator($NgmHQ))) { continue; } if ($P1vwe instanceof Validator && !$P1vwe->passes()) { $rw3HY[] = $P1vwe; } } goto kdwI5; uetF_: if (empty($aFxal)) { return false; } goto Bp6ne; pq5fk: } private function validateFields($IDamp, $kqs0v) { goto n1cUQ; Gtyy0: if ($aZeq9 = $this->fieldValidateMessages($IDamp, $kqs0v)) { $bcuB7 = array_merge($bcuB7, $aZeq9); } goto xBhBf; n1cUQ: $bcuB7 = array(); goto Gtyy0; xBhBf: foreach ($bcuB7 as $AQOdu => $aFxal) { foreach ($aFxal as $SCeWk) { return Response::generateError($SCeWk); } } goto ir5lA; ir5lA: return Response::generateSuccess(); goto N6dUQ; N6dUQ: } private function removeReservedFields() { goto MZNBG; zes1f: $lF9Kr = function (AbstractField $WSFfm) use(&$LbEAm) { return in_array($WSFfm->column(), $LbEAm, true) && $WSFfm instanceof \ModStart\Field\Display; }; goto M4M1P; MZNBG: $LbEAm = array($this->repository->getKeyName(), $this->repository->getCreatedAtColumn(), $this->repository->getUpdatedAtColumn()); goto zes1f; M4M1P: $this->fields = $this->fields()->reject($lF9Kr); goto HFnMi; HFnMi: } public function hookCall($wM5RY) { if ($wM5RY instanceof Closure) { $mFpqB = call_user_func($wM5RY, $this); if (null !== $mFpqB) { return $mFpqB; } } return Response::generateSuccess(); } public function isModeForm() { return $this->mode === FormMode::FORM; } public function isModeAdd() { return $this->mode === FormMode::ADD; } public function isModeEdit() { return $this->mode === FormMode::EDIT; } public function isModeDelete() { return $this->mode === FormMode::DELETE; } public function formRequest($wM5RY, array $kqs0v = null) { goto dJ7XF; dJ7XF: $this->mode(FormMode::FORM); goto O6UfJ; PuhUC: $this->dataSubmitted = $kqs0v ? $kqs0v : Input::all(); goto GCgjH; O6UfJ: $this->build(); goto PuhUC; GCgjH: try { goto JleMK; IqFpW: if (!empty($this->dataSubmitted['_redirect'])) { return Response::json(0, null, null, $this->dataSubmitted['_redirect']); } goto KVRNL; WPsgO: foreach ($this->addableFields() as $WSFfm) { goto pDHC8; pDHC8: if ($WSFfm->isLayoutField()) { continue; } goto s3w95; o1wXd: $mF3G4 = $WSFfm->prepareInput($mF3G4, $this->dataSubmitted); goto frqoW; nhI5c: $this->dataForming[$WSFfm->column()] = $mF3G4; goto p4vfY; frqoW: $mF3G4 = $WSFfm->serializeValue($mF3G4, $WSFfm); goto V08iH; V08iH: if ($WSFfm->hookValueSerialize()) { $mF3G4 = call_user_func($WSFfm->hookValueSerialize(), $mF3G4, $WSFfm); } goto nhI5c; s3w95: $mF3G4 = isset($this->dataSubmitted[$WSFfm->column()]) ? $this->dataSubmitted[$WSFfm->column()] : null; goto o1wXd; p4vfY: } goto eCo23; g_vDE: $mFpqB = call_user_func($wM5RY, $this); goto OjwjB; AMYLZ: if (null !== $mFpqB) { return Response::jsonFromGenerate($mFpqB); } goto IqFpW; Ef1Ud: ResultException::throwsIfFail($this->hookCall($this->hookSaved)); goto rVmJK; JleMK: ResultException::throwsIfFail($this->validateFields($this->addableFields(), $this->dataSubmitted)); goto W7eKs; KVRNL: return Response::jsonSuccess(L('Save Success')); goto dE_cy; bjgOH: $this->removeReservedFields(); goto WPsgO; W7eKs: ResultException::throwsIfFail($this->hookCall($this->hookSubmitted)); goto Y7HLe; Y7HLe: $this->dataForming = array(); goto bjgOH; OjwjB: if (null !== $mFpqB) { if (Response::isError($mFpqB)) { return Response::jsonFromGenerate($mFpqB); } } goto Ef1Ud; rVmJK: ResultException::throwsIfFail($this->hookCall($this->hookChanged)); goto AMYLZ; eCo23: ResultException::throwsIfFail($this->hookCall($this->hookSaving)); goto g_vDE; dE_cy: } catch (BizException $Ft_wp) { return Response::jsonError($Ft_wp->getMessage()); } catch (ResultException $Ft_wp) { return Response::jsonError($Ft_wp->getMessage()); } goto Aa2jP; Aa2jP: } public function add() { goto XSK8S; bjuD7: $Ltrcm = false; goto oOmjV; OlgkS: if ($Ltrcm) { $this->fillFields(); } goto vOsnn; l8lUb: $this->build(); goto OlgkS; XSK8S: $this->mode(FormMode::ADD); goto bjuD7; vOsnn: return $this; goto dVeZK; oOmjV: if ($this->canCopy()) { $KRTNJ = CRUDUtil::copyId(); if ($KRTNJ) { goto QVIPA; Y0ela: $Ltrcm = true; goto Okxte; QVIPA: $this->itemId($KRTNJ); goto RstaZ; RstaZ: $this->item($this->repository()->editing($this)); goto q1Qgt; q1Qgt: $this->itemId(0); goto Y0ela; Okxte: } } goto l8lUb; dVeZK: } public function addRequest(array $kqs0v = null) { goto olAuu; I6tmf: try { goto uWPuW; V4Bo_: return Response::jsonSuccess(L('Add Success')); goto amxlM; dUa4S: $this->dataAdding = array(); goto xs3em; R8psA: ResultException::throwsIfFail($this->hookCall($this->hookSubmitted)); goto dUa4S; QjUZa: foreach ($this->addableFields() as $WSFfm) { goto Ricln; mB7rP: $this->dataAdding[$WSFfm->column()] = $mF3G4; goto vJxq5; Wxarm: $mF3G4 = $WSFfm->prepareInput($mF3G4, $this->dataSubmitted); goto EJ1Fk; Ricln: if ($WSFfm->isLayoutField() || $WSFfm->isCustomField()) { continue; } goto eq3T3; eq3T3: $mF3G4 = isset($this->dataSubmitted[$WSFfm->column()]) ? $this->dataSubmitted[$WSFfm->column()] : null; goto Wxarm; EJ1Fk: $mF3G4 = $WSFfm->serializeValue($mF3G4, $WSFfm); goto WkMkN; WkMkN: if ($WSFfm->hookValueSerialize()) { $mF3G4 = call_user_func($WSFfm->hookValueSerialize(), $mF3G4, $WSFfm); } goto mB7rP; vJxq5: } goto GiM2M; HxYQI: if (!empty($this->dataSubmitted['_redirect'])) { return Response::json(0, null, null, $this->dataSubmitted['_redirect']); } goto V4Bo_; GiM2M: $Gwj0r = $this->repository->add($this); goto HxYQI; xs3em: $this->removeReservedFields(); goto QjUZa; uWPuW: ResultException::throwsIfFail($this->validateFields($this->addableFields(), $this->dataSubmitted)); goto R8psA; amxlM: } catch (BizException $Ft_wp) { return Response::jsonError($Ft_wp->getMessage()); } catch (ResultException $Ft_wp) { return Response::jsonError($Ft_wp->getMessage()); } goto TZRdx; Ad5Jo: $this->build(); goto f9Jlf; obE0U: $this->mode(FormMode::ADD); goto Ad5Jo; f9Jlf: $this->dataSubmitted = $kqs0v ? $kqs0v : Input::all(); goto I6tmf; olAuu: if (!$this->canAdd) { return Response::pagePermissionDenied(); } goto obE0U; TZRdx: } public function edit($Gwj0r) { try { goto Flqmm; X9z3E: $this->build(); goto WginK; cWpmy: BizException::throwsIfEmpty(L('Record Not Exists'), $this->item); goto X9z3E; U9Ydv: $this->item($this->repository()->editing($this)); goto cWpmy; Flqmm: $this->mode(FormMode::EDIT); goto VLUdO; WginK: $this->fillFields(); goto rGDDe; VLUdO: $this->itemId($Gwj0r); goto U9Ydv; rGDDe: return $this; goto KwUfo; KwUfo: } catch (BizException $Ft_wp) { return Response::sendError($Ft_wp->getMessage()); } } public function editRequest($Gwj0r, array $kqs0v = null) { goto bxxsp; LDTBy: try { goto z4_Fk; Z2yhE: if (!empty($this->dataSubmitted['_redirect'])) { return Response::json(0, null, null, $this->dataSubmitted['_redirect']); } goto H8wE2; DLjmm: ResultException::throwsIfFail($this->validateFields($this->editableFields(), $this->dataSubmitted)); goto TNZR1; TNZR1: ResultException::throwsIfFail($this->hookCall($this->hookSubmitted)); goto AgL_2; thn6v: $Ysr5a = isset($this->dataSubmitted['_action']) ? $this->dataSubmitted['_action'] : null; goto mojqf; mojqf: if ('itemCellEdit' == $Ysr5a) { goto hXulb; cb0nB: if ($AQOdu) { foreach ($this->editableFields() as $WSFfm) { if ($WSFfm->isLayoutField() || $WSFfm->isCustomField()) { continue; } if ($WSFfm->column() == $AQOdu) { $this->dataEditing[$WSFfm->column()] = $mF3G4; break; } } } goto lrmgE; lrmgE: BizException::throwsIfEmpty('Data Error', $this->dataEditing); goto Pkcwx; zOYG8: $mF3G4 = isset($this->dataSubmitted['value']) ? $this->dataSubmitted['value'] : null; goto cb0nB; hXulb: $AQOdu = isset($this->dataSubmitted['column']) ? $this->dataSubmitted['column'] : null; goto zOYG8; Pkcwx: } else { foreach ($this->editableFields() as $WSFfm) { goto btDcE; btDcE: if ($WSFfm->isLayoutField() || $WSFfm->isCustomField()) { continue; } goto U6ULA; jnwjk: if ($WSFfm->hookValueSerialize()) { $mF3G4 = call_user_func($WSFfm->hookValueSerialize(), $mF3G4, $WSFfm); } goto lHN3G; U6ULA: $mF3G4 = isset($this->dataSubmitted[$WSFfm->column()]) ? $this->dataSubmitted[$WSFfm->column()] : null; goto w6imw; w6imw: $mF3G4 = $WSFfm->prepareInput($mF3G4, $this->dataSubmitted); goto Sjf39; Sjf39: $mF3G4 = $WSFfm->serializeValue($mF3G4, $WSFfm); goto jnwjk; lHN3G: $this->dataEditing[$WSFfm->column()] = $mF3G4; goto GR2ZL; GR2ZL: } } goto M7_G2; mWx29: $this->removeReservedFields(); goto thn6v; AgL_2: $this->dataEditing = array(); goto mWx29; z4_Fk: $this->edit($Gwj0r); goto DLjmm; M7_G2: $this->repository()->edit($this); goto Z2yhE; H8wE2: return Response::jsonSuccess(L('Edit Success')); goto keSnu; keSnu: } catch (BizException $Ft_wp) { return Response::jsonError($Ft_wp->getMessage()); } catch (ResultException $Ft_wp) { return Response::jsonError($Ft_wp->getMessage()); } goto GLQjf; bxxsp: if (!$this->canEdit) { return Response::pagePermissionDenied(); } goto jU3Id; jU3Id: $this->dataSubmitted = $kqs0v ? $kqs0v : Input::all(); goto LDTBy; GLQjf: } public function deleteRequest($xJvnl) { goto q330E; q330E: if (!$this->canDelete) { return Response::pagePermissionDenied(); } goto hXmRc; fP6Sp: try { goto PUzxq; XNFlx: return Response::jsonSuccess(L('Delete Success')); goto JMKRh; PUzxq: $kqs0v = $this->repository->deleting($this); goto FGE5B; FGE5B: $this->item($kqs0v); goto GTZD1; GTZD1: $this->itemId(collect($kqs0v)->map(function ($MGr8C) { return $MGr8C->{$this->repository()->getKeyName()}; })->toArray()); goto LdpwB; LdpwB: $Q4sQt = $this->repository->delete($this, $kqs0v); goto XNFlx; JMKRh: } catch (BizException $Ft_wp) { return Response::jsonError($Ft_wp->getMessage()); } catch (ResultException $Ft_wp) { return Response::jsonError($Ft_wp->getMessage()); } goto hjogP; QAIMM: $this->build(); goto fP6Sp; hXmRc: $this->mode(FormMode::DELETE); goto YP9kr; YP9kr: $this->itemId($xJvnl); goto QAIMM; hjogP: } public function sortRequest($xJvnl) { goto l32LI; MSqbd: $this->build(); goto XALe0; TiLvW: $this->itemId($xJvnl); goto Q2Wez; DnrH1: $this->mode(FormMode::SORT); goto TiLvW; l32LI: if (!$this->canSort) { return Response::pagePermissionDenied(); } goto DnrH1; n6Zwa: $this->repository->setArgument('direction', $NgmHQ->getType('direction', SortDirection::class)); goto MSqbd; XALe0: try { goto dOf0N; FRy0L: return Response::jsonSuccess(L('Operate Success')); goto LpX1B; shyW2: ResultException::throwsIfFail($this->hookCall($this->hookChanged)); goto FRy0L; dOf0N: $Q4sQt = $this->repository->sortEdit($this); goto shyW2; LpX1B: } catch (BizException $Ft_wp) { return Response::jsonError($Ft_wp->getMessage()); } catch (ResultException $Ft_wp) { return Response::jsonError($Ft_wp->getMessage()); } goto P2RFU; Q2Wez: $NgmHQ = InputPackage::buildFromInput(); goto n6Zwa; P2RFU: } public function render() { goto i3mzt; EynF7: return view($this->view, $kqs0v)->render(); goto SPT0g; RvDf8: switch ($this->mode) { case FormMode::FORM: $kqs0v['fields'] = $this->addableFields(); break; case FormMode::ADD: goto yfh97; uth2U: break; goto ssrEJ; eupMD: $kqs0v['fields'] = $this->addableFields(); goto uth2U; yfh97: if (!$this->canAdd) { return Response::pagePermissionDenied(); } goto eupMD; ssrEJ: case FormMode::EDIT: goto E1APS; E1APS: if (!$this->canEdit) { return Response::pagePermissionDenied(); } goto EdYB0; EdYB0: $kqs0v['fields'] = $this->editableFields(); goto m3jI0; m3jI0: break; goto W3UTU; W3UTU: default: return Response::sendError('Form.render mode error : ' . $this->mode); } goto tcZR1; tcZR1: $kqs0v = array_merge($this->fluentAttributeVariables(), $kqs0v); goto EynF7; i3mzt: $kqs0v = array(); goto RvDf8; SPT0g: } public function __call($KiZWf, $dXLxr) { goto hgNb7; hgNb7: switch ($KiZWf) { case 'enablePagination': case 'defaultOrder': case 'canShow': case 'canExport': case 'canImport': case 'canBatchDelete': case 'canMultiSelectItem': case 'addBlankPage': case 'editBlankPage': case 'disableCUD': case 'hookItemOperateRendering': case 'addDialogSize': case 'editDialogSize': case 'dialogSizeSmall': case 'gridFilter': case 'gridOperateAppend': case 'bodyAppend': case 'operateFixed': case 'defaultPageSize': case 'pageSizes': case 'canBatchSelect': case 'batchOperatePrepend': case 'gridToolbar': case 'pageJumpEnable': case 'textEdit': return $this; } goto O70L1; DDiDr: return FieldManager::call($this, $KiZWf, $dXLxr); goto SLKL8; O70L1: if ($this->isFluentAttribute($KiZWf)) { return $this->fluentAttribute($KiZWf, $dXLxr); } goto DDiDr; SLKL8: } }