<?php
/**
 * ------------------------ 
 *  版权所有  www.tecmz.com
 *  商业版本请购买正版授权使用
 * ------------------------
*/ namespace ModStart\Grid; use Closure; use Illuminate\Support\Facades\Input; use Illuminate\Support\Facades\View; use ModStart\Core\Dao\DynamicModel; use ModStart\Core\Dao\ModelUtil; use ModStart\Core\Exception\BizException; use ModStart\Core\Input\InputPackage; use ModStart\Core\Input\Response; use ModStart\Core\Util\IdUtil; use ModStart\Core\Util\RenderUtil; use ModStart\Core\Util\TreeUtil; use ModStart\Detail\Detail; use ModStart\Field\AbstractField; use ModStart\Field\Type\FieldRenderMode; use ModStart\Form\Form; use ModStart\Grid\Concerns\HasGridFilter; use ModStart\Grid\Concerns\HasItemOperate; use ModStart\Grid\Concerns\HasPaginator; use ModStart\Grid\Concerns\HasSort; use ModStart\Grid\Type\GridEngine; use ModStart\Repository\Filter\HasRepositoryFilter; use ModStart\Repository\Filter\HasScopeFilter; use ModStart\Repository\Repository; use ModStart\Support\Concern\HasBuilder; use ModStart\Support\Concern\HasFields; use ModStart\Support\Concern\HasFluentAttribute; use ModStart\Support\Manager\FieldManager; class Grid { use HasBuilder, HasFields, HasFluentAttribute, HasGridFilter, HasItemOperate, HasPaginator, HasSort, HasScopeFilter, HasRepositoryFilter; private $id; private $model; protected $fluentAttributes = array('view', 'engine', 'title', 'titleAdd', 'titleEdit', 'titleShow', 'titleImport', 'canAdd', 'canEdit', 'canDelete', 'canShow', 'canExport', 'canImport', 'canCopy', 'canMultiSelectItem', 'canSingleSelectItem', 'canBatchDelete', 'canBatchSelect', 'canSort', 'urlAdd', 'urlEdit', 'textEdit', 'urlDelete', 'urlShow', 'urlExport', 'urlImport', 'urlSort', 'addDialogSize', 'editDialogSize', 'showDialogSize', 'importDialogSize', 'addBlankPage', 'editBlankPage', 'enablePagination', 'defaultOrder', 'treeMaxLevel', 'treeRootPid', 'batchOperatePrepend', 'gridOperateAppend', 'hookPrepareItems', 'gridRowCols', 'defaultPageSize', 'pageSizes', 'gridToolbar', 'pageJumpEnable'); private $engine = 'basic'; private $title; private $titleAdd; private $titleEdit; private $titleShow; private $titleImport; private $canAdd = true; private $canEdit = true; private $canDelete = true; private $canShow = true; private $canExport = false; private $canImport = false; private $canCopy = false; private $canMultiSelectItem = false; private $canSingleSelectItem = false; private $canBatchDelete = false; private $canBatchSelect = false; private $canSort = false; private $urlAdd; private $urlEdit; private $textEdit; private $urlDelete; private $urlShow; private $urlExport; private $urlImport; private $urlSort; private $addDialogSize = array('95%', '95%'); private $editDialogSize = array('95%', '95%'); private $showDialogSize = array('95%', '95%'); private $importDialogSize = array('95%', '95%'); private $addBlankPage = false; private $editBlankPage = false; private $enablePagination = true; private $defaultOrder = array(); private $treeMaxLevel = 0; private $treeRootPid = 0; private $batchOperatePrepend = ''; private $gridOperateAppend = ''; private $gridRowCols = null; private $defaultPageSize = 10; private $pageSizes = array(10, 50, 100); private $gridToolbar = array(); private $pageJumpEnable = false; private $hookPrepareItems = null; private $gridTableTops = array(); private $gridRequestScript = null; private $gridBeforeRequestScript = null; private $isBuilt = false; private $isDynamicModel = false; private $dynamicModelTableName; private $view = 'modstart::core.grid.index'; private $bodyAppend = ''; public function __construct($LMWXj = null, \Closure $pQMBc = null) { goto guQB0; lWjzM: $this->builder($pQMBc); goto pEeoV; Ypl2b: $this->setupGridFilter(); goto Fz87w; vIDTS: $this->setupFields(); goto LH0CD; guQB0: $this->id = IdUtil::generate('Grid'); goto evLb3; Fz87w: $this->setupItemOperate(); goto lWjzM; LH0CD: $this->fieldDefaultRenderMode(FieldRenderMode::GRID); goto PWl8U; PWl8U: $this->setupRepositoryFilter(); goto Ypl2b; evLb3: $this->model = new Model($this, $LMWXj); goto vIDTS; pEeoV: } public static function make($ngCZA, \Closure $pQMBc = null) { goto EDy87; jL1cT: return $xsJgV; goto xo6_0; BhngA: $xsJgV->isDynamicModel = true; goto bAlzI; IKe5q: if (class_exists($ngCZA)) { if (is_subclass_of($ngCZA, \Illuminate\Database\Eloquent\Model::class) || is_subclass_of($ngCZA, Repository::class)) { return new Grid($ngCZA, $pQMBc); } } goto tECH2; EDy87: if ($ngCZA && is_object($ngCZA)) { return new Grid($ngCZA, $pQMBc); } goto IKe5q; tECH2: $xsJgV = new Grid(DynamicModel::make($ngCZA), $pQMBc); goto BhngA; bAlzI: $xsJgV->dynamicModelTableName = $ngCZA; goto jL1cT; xo6_0: } public function useSimple($T16uH) { goto RllaU; RllaU: $this->view = 'modstart::core.grid.simple'; goto gIOG2; mvT4H: $this->display('html', 'html')->hookRendering($T16uH); goto S6ufO; S6ufO: return $this; goto B3sNM; gIOG2: $this->disableItemOperate(); goto mvT4H; B3sNM: } public function asTree($b3GLM = 'id', $DUw1b = 'pid', $GEQKF = 'sort', $wFZVX = 'title') { goto Uwfks; zPcIA: $this->repository()->setTreePidColumn($DUw1b); goto AXy41; Uwfks: $this->repository()->setKeyName($b3GLM); goto zPcIA; nIYtJ: $this->canSort(true); goto aKbvA; QfBRd: $this->enablePagination(false); goto nIYtJ; azHo8: $this->repository()->setTreeTitleColumn($wFZVX); goto Eh69B; aKbvA: return $this; goto a3Cop; AXy41: $this->repository()->setSortColumn($GEQKF); goto azHo8; Eh69B: $this->engine = GridEngine::TREE; goto QfBRd; a3Cop: } public function asTreeMass($Ldhk9 = 0, $b3GLM = 'id', $DUw1b = 'pid', $GEQKF = 'sort', $wFZVX = 'title') { goto NPdUd; I9iL4: $this->repository()->setTreeTitleColumn($wFZVX); goto ug7i5; qNlW7: $this->repository()->setSortColumn($GEQKF); goto I9iL4; MJWwA: $this->canSort(true); goto vyt1x; ug7i5: $this->engine = GridEngine::TREE_MASS; goto G4uqX; QSmUM: $this->repository()->setTreePidColumn($DUw1b); goto qNlW7; G4uqX: $this->enablePagination(false); goto MJWwA; vyt1x: return $this; goto qGm73; NPdUd: $this->repository()->setKeyName($b3GLM); goto QSmUM; qGm73: } public function canBatchDelete($mF3G4 = null) { goto JYo2j; P_7ar: $this->canMultiSelectItem(true); goto Ttcb4; JYo2j: if (null === $mF3G4) { return $this->canBatchDelete; } goto gXwxD; gXwxD: $this->canBatchDelete = true; goto P_7ar; Ttcb4: return $this; goto RKkD1; RKkD1: } public function canBatchSelect($mF3G4 = null) { goto UmzkO; msFFi: return $this; goto fUvp_; FyDUC: $this->canMultiSelectItem(true); goto msFFi; UmzkO: if (null === $mF3G4) { return $this->canBatchSelect; } goto Gh2Qi; Gh2Qi: $this->canBatchSelect = true; goto FyDUC; fUvp_: } public function disableCUD() { $this->canAdd(false)->canEdit(false)->canDelete(false); return $this; } public function dialogSizeSmall() { return $this->addDialogSize(array('600px', '90%'))->editDialogSize(array('600px', '90%'))->showDialogSize(array('600px', '90%')); } public function repository() { return $this->model->repository(); } public function getRepositoryKeyName() { return $this->model->repository()->getKeyName(); } public function gridFilter(Closure $wM5RY) { call_user_func($wM5RY, $this->gridFilter); return $this; } public function gridRequestScript($NdetI) { $this->gridRequestScript = $NdetI; return $this; } public function gridBeforeRequestScriptView($Ygqtc) { return $this->gridBeforeRequestScript(RenderUtil::viewScript($Ygqtc)); } public function gridBeforeRequestScript($aHdUm) { $this->gridBeforeRequestScript = $aHdUm; return $this; } public function gridTableTopView($Ygqtc) { return $this->gridTableTop(View::make($Ygqtc, array())->render()); } public function gridTableTop($OjWaN) { goto P3ub_; jd3ZH: $this->gridTableTops[] = $OjWaN; goto Zqisf; Zqisf: return $this; goto MI2ni; P3ub_: if ($OjWaN instanceof Closure) { $OjWaN = call_user_func($OjWaN, $this); } goto jd3ZH; MI2ni: } public function bodyAppend($OjWaN) { $this->bodyAppend = $OjWaN; return $this; } public function build() { if (!$this->isBuilt) { goto t2_8A; UJrnX: $this->isBuilt = true; goto RIkPT; t2_8A: $this->runBuilder(); goto esQMj; esQMj: $this->prepareItemOperateField(); goto UJrnX; RIkPT: } } public function executeQuery() { goto iJENd; iJENd: $this->build(); goto tzzN6; ejmM7: $this->gridFilter->setSearch($NgmHQ->getArray('search')); goto OtsRv; tzzN6: $NgmHQ = InputPackage::buildFromInput(); goto VnfjK; VnfjK: $this->repository()->setArgument(array('page' => $NgmHQ->getPage(), 'pageSize' => $NgmHQ->getPageSize(null, null, 1000, $this->defaultPageSize), 'order' => $NgmHQ->getArray($this->model->getOrderName()), 'orderDefault' => $this->defaultOrder)); goto ejmM7; OtsRv: return $this->gridFilter->executeQuery(); goto hX3S7; hX3S7: } public function request() { goto ZiPv5; sk4MV: $mU6xP = array(); goto NgK5l; l8wJC: if ($this->engine === GridEngine::TREE_MASS) { goto cHwPX; t60Sw: if ($BFAln != $this->treeRootPid) { $mlbnc = $this->repository()->getTreeAncestorItems(); } goto L2fua; BiqJ9: $this->repository()->setArgument(array('treeRootPid' => $this->treeRootPid, 'treePid' => $BFAln)); goto t60Sw; L2fua: $QYQaK = view('modstart::core.grid.treeAncestor', array('treeAncestors' => $mlbnc, 'grid' => $this))->render(); goto UznqJ; cHwPX: $BFAln = $NgmHQ->get('_pid', $this->treeRootPid); goto BiqJ9; UznqJ: } goto yAIeL; lNIrQ: $this->build(); goto TxTiJ; yAIeL: $this->gridFilter->setSearch($NgmHQ->getArray('search')); goto X7QMq; ZiPv5: $QYQaK = null; goto lNIrQ; GzwzT: if ($this->hookPrepareItems) { $Bj0AF = call_user_func($this->hookPrepareItems, $this, $Bj0AF); } goto i1iOl; X7QMq: $Bj0AF = $this->gridFilter->execute(); goto R8bvy; i1iOl: $UL1YB = array(); goto owTpZ; T6fcn: if (!is_null($this->gridRequestScript)) { $aHdUm = call_user_func($this->gridRequestScript, $this); } goto wuIjD; I8GPM: $aHdUm = null; goto T6fcn; R8bvy: if ($this->engine == GridEngine::TREE) { goto Y_TK7; DqIER: $StRpd = $this->repository()->getTreeSortColumn(); goto AL_mT; ypmk0: $o1y2S = $this->repository()->getTreePidColumn(); goto DqIER; Y_TK7: $ntdPb = $this->repository()->getKeyName(); goto ypmk0; AL_mT: $Bj0AF = TreeUtil::itemsMergeLevel($Bj0AF, $ntdPb, $o1y2S, $StRpd); goto of9ux; of9ux: } goto IciK9; NgK5l: foreach ($this->listableFields() as $WSFfm) { goto avc9w; pMap4: if ($WSFfm->gridFixed()) { $g3ZBK['fixed'] = $WSFfm->gridFixed(); } goto AAWO2; vHTYm: $g3ZBK = array('field' => $WSFfm->column(), 'title' => $WSFfm->label(), 'sort' => $WSFfm->sortable()); goto pw7c1; pw7c1: if ($WSFfm->tip()) { $g3ZBK['title'] .= ' <a class="ub-text-muted" href="javascript:;" data-tip-popover="' . htmlspecialchars($WSFfm->tip()) . '"><i class="iconfont icon-warning"></i></a>'; } goto mNKYN; mNKYN: if ($WSFfm->width() !== '') { $g3ZBK['width'] = $WSFfm->width(); } else { $g3ZBK['withAuto'] = true; } goto pMap4; avc9w: if ($WSFfm->isLayoutField()) { continue; } goto vHTYm; AAWO2: $mU6xP[] = $g3ZBK; goto h6j3Q; h6j3Q: } goto I8GPM; owTpZ: foreach ($Bj0AF as $LHCKf => $mGrPa) { goto WrLIf; WrLIf: $PW3HD = array(); goto Y1NNf; l1_ob: $g3ZBK['_id'] = '' . $mGrPa->{$this->repository()->getKeyName()}; goto VXLF8; VXLF8: foreach ($this->listableFields() as $WSFfm) { goto ZMXNL; bzvH9: $WSFfm->item($mGrPa); goto OOjwW; OOjwW: $g3ZBK[$WSFfm->column()] = $WSFfm->renderView($WSFfm, $mGrPa, $LHCKf); goto CCB88; CCB88: if ($this->engine == GridEngine::TREE && $WSFfm->column() == $this->repository()->getTreeTitleColumn()) { $r7ELS = str_repeat('&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;', $mGrPa->_level - 1) . '<a class="tree-arrow-icon ub-text-muted" href="javascript:;"><i class="icon iconfont icon-angle-right"></i></a> '; $g3ZBK[$WSFfm->column()] = $r7ELS . $g3ZBK[$WSFfm->column()]; } else { if ($this->engine == GridEngine::TREE_MASS && $WSFfm->column() == $this->repository()->getTreeTitleColumn()) { if (count($mlbnc) < $this->treeMaxLevel() - 1) { $g3ZBK[$WSFfm->column()] = '<span class="tree-arrow-icon ub-text-muted"><i class="icon iconfont icon-angle-right"></i></span>' . '<a class="ub-text-primary" href="?_pid=' . $g3ZBK['_id'] . '" title="' . L('Manage') . '"><i class="icon iconfont icon-sign"></i> ' . htmlspecialchars($g3ZBK[$WSFfm->column()]) . '</a>'; } else { $g3ZBK[$WSFfm->column()] = '<span class="tree-arrow-icon ub-text-muted"><i class="icon iconfont icon-angle-right"></i></span>' . $g3ZBK[$WSFfm->column()]; } } } goto k8_mh; Eltos: $WSFfm->setValue($mF3G4); goto bzvH9; TUSC3: if (in_array($WSFfm->column(), $PW3HD) || $mGrPa instanceof \Illuminate\Database\Eloquent\Model && method_exists($mGrPa, $WSFfm->column())) { goto y0d1x; y0d1x: $mF3G4 = $mGrPa->{$WSFfm->column()}; goto SXC3g; Nq9Rx: if ($WSFfm->hookValueUnserialize()) { $mF3G4 = call_user_func($WSFfm->hookValueUnserialize(), $mF3G4, $WSFfm); } goto blUjA; S7JxG: $mGrPa->{$WSFfm->column()} = $mF3G4; goto ETFdE; SXC3g: $WSFfm->item($mGrPa); goto Nq9Rx; W7jfW: if ($WSFfm->hookFormatValue()) { $mF3G4 = call_user_func($WSFfm->hookFormatValue(), $mF3G4, $WSFfm); } goto S7JxG; OSgLu: $mF3G4 = $WSFfm->unserializeValue($mF3G4, $WSFfm); goto W7jfW; blUjA: $WSFfm->item($mGrPa); goto OSgLu; ETFdE: } else { goto jHe8V; Z5uJI: $mF3G4 = $WSFfm->unserializeValue($mF3G4, $WSFfm); goto ElVca; jHe8V: $WSFfm->item($mGrPa); goto vYaYx; M5lgM: if ($WSFfm->hookValueUnserialize()) { $mF3G4 = call_user_func($WSFfm->hookValueUnserialize(), $mF3G4, $WSFfm); } goto Z5uJI; ElVca: if ($WSFfm->hookFormatValue()) { $mF3G4 = call_user_func($WSFfm->hookFormatValue(), $mF3G4, $WSFfm); } goto BiSRM; vYaYx: if (str_contains($WSFfm->column(), '.')) { $mF3G4 = ModelUtil::traverse($mGrPa, $WSFfm->column()); } goto M5lgM; BiSRM: } goto Eltos; PDXxa: $mF3G4 = null; goto TUSC3; ZMXNL: if ($WSFfm->isLayoutField()) { continue; } goto PDXxa; k8_mh: } goto EHGtR; PFTpu: $g3ZBK = array(); goto l1_ob; EHGtR: $UL1YB[] = $g3ZBK; goto pqqGb; Y1NNf: if ($mGrPa instanceof \Illuminate\Database\Eloquent\Model) { $PW3HD = array_keys($mGrPa->getAttributes()); } else { if ($mGrPa instanceof \stdClass) { $PW3HD = array_keys(get_object_vars($mGrPa)); } else { BizException::throws('Grid item support Model|stdClass only'); } } goto PFTpu; pqqGb: } goto sk4MV; pIx2d: $this->repository()->setArgument(array('page' => $NgmHQ->getPage(), 'pageSize' => $NgmHQ->getPageSize(null, null, 1000, $this->defaultPageSize), 'order' => $NgmHQ->getArray($this->model->getOrderName()), 'orderDefault' => $this->defaultOrder)); goto ngg1z; IciK9: $PXbGO = $this->model->paginator(); goto GzwzT; wuIjD: return Response::jsonSuccessData(array('head' => $mU6xP, 'page' => $PXbGO ? $PXbGO->currentPage() : 1, 'pageSize' => $PXbGO ? $PXbGO->perPage() : count($UL1YB), 'total' => $PXbGO ? $PXbGO->total() : count($UL1YB), 'records' => $UL1YB, 'addition' => $QYQaK, 'script' => $aHdUm)); goto cB9uJ; ngg1z: $mlbnc = array(); goto l8wJC; TxTiJ: $NgmHQ = InputPackage::buildFromInput(); goto pIx2d; cB9uJ: } public function render() { goto EgMKj; uhDwD: return view($this->view, $kqs0v)->render(); goto sea9Y; KCKc1: $kqs0v = array_merge($this->fluentAttributeVariables(), array('id' => $this->id, 'filters' => $this->gridFilter->filters(), 'hasAutoHideFilters' => $this->gridFilter->hasAutoHideFilters(), 'grid' => $this, 'scopes' => $this->scopeFilters, 'gridTableTops' => $this->gridTableTops, 'gridBeforeRequestScript' => $this->gridBeforeRequestScript, 'scopeCurrent' => Input::get('_scope', $this->scopeDefault), 'bodyAppend' => $this->bodyAppend)); goto uhDwD; EgMKj: $this->build(); goto KCKc1; sea9Y: } public function __toString() { try { return $this->render(); } catch (\Exception $Ft_wp) { return $Ft_wp->getMessage(); } } public function isDynamicModel() { return $this->isDynamicModel; } public function getDynamicModelTableName() { return $this->dynamicModelTableName; } public function __call($KiZWf, $dXLxr) { goto tO5mL; tO5mL: switch ($KiZWf) { case 'hookSaved': case 'hookDeleting': case 'hookChanged': case 'hookDeleted': case 'hookSaving': case 'formClass': case 'gridFilter': return $this; } goto L_lUr; L_lUr: if ($this->isFluentAttribute($KiZWf)) { return $this->fluentAttribute($KiZWf, $dXLxr); } goto ytXPY; ytXPY: return FieldManager::call($this, $KiZWf, $dXLxr); goto cubij; cubij: } }